Page MenuHomePhabricator

Provide localized Bold and Italic icons for Urdu
Closed, ResolvedPublic

Description

hi,

Change following things:

  1. A (Bold) => ج
  2. A (Italic) = > ت

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2018, 1:21 AM
BukhariSaeed renamed this task from Change Bold and Italic icons on Urdu Wikipedia to Change Bold and Italic icons on All Urdu Wiki Projects.Jun 2 2018, 1:30 AM

@BukhariSaeed: For future reference, please follow https://www.mediawiki.org/wiki/How_to_report_a_bug and always provide steps to reproduce.

If I interpret the image correctly, this might be about WikiEditor.

Aklapper renamed this task from Change Bold and Italic icons on All Urdu Wiki Projects to Provide localized Bold and Italic icons for Urdu.Jun 2 2018, 11:48 AM
Aklapper added a project: OOUI.

@BukhariSaeed: If you would like to work on this, see https://gerrit.wikimedia.org/r/#/c/435819/ for an example how to add a localized button as an SVG file, and see https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to write software changes. Thanks!

If someone provides SVGs of desired icons then I proceed to patch.

Volker_E triaged this task as Normal priority.Jun 4 2018, 4:02 PM
Vvjjkkii renamed this task from Provide localized Bold and Italic icons for Urdu to 3sbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 3sbaaaaaaa to Provide localized Bold and Italic icons for Urdu.Jul 2 2018, 1:43 PM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

If someone provides SVGs of desired icons then I proceed to patch.

I think no one is available :(

If someone provides SVGs of desired icons then I proceed to patch.

Change 480000 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[oojs/ui@master] Add localized 'bold' and 'italic' icons for Urdu

https://gerrit.wikimedia.org/r/480000

Change 480000 merged by jenkins-bot:
[oojs/ui@master] icons: Add localized 'bold' and 'italic' for Urdu

https://gerrit.wikimedia.org/r/480000

Thank you, @Tulsi_Bhagat and @Esanders. This will roll out in the next release of OOUI.

Thank you, @Tulsi_Bhagat and @Esanders. This will roll out in the next release of OOUI.

When will next release be expected?

Change 481239 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.30.0

https://gerrit.wikimedia.org/r/481239

Thank you, @Tulsi_Bhagat and @Esanders. This will roll out in the next release of OOUI.

When will next release be expected?

The second week of January, if the above patch lands in time.

Change 481239 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.30.0

https://gerrit.wikimedia.org/r/481239

BukhariSaeed added a comment.EditedJan 1 2019, 8:01 PM

@Jdforrester-WMF No changes seen

@Aklapper When the modifications will be visible?

@Aklapper When the modifications will be visible?

It can takes upto 2 weeks, so be patient. :)

@Aklapper When the modifications will be visible?

I already linked to https://www.mediawiki.org/wiki/Bug_management/Bug_report_life_cycle which answers your question.

Icons are now appeared on Urdu wikipedia but do not look attractive as their size is too small and umnecessary space between two icons looks very weird. Below is comparison between urwiki and fawiki icons:

In Urdu wiki:

And Farsi wiki:

Icons are now appeared on Urdu wikipedia but do not look attractive as their size is too small and umnecessary space between two icons looks very weird. Below is comparison between urwiki and fawiki icons:
In Urdu wiki:


And Farsi wiki:

They look OK to me. I don't see any unnecessary space either.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Sun, Aug 4, 11:34 AM